"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.generate = generate;

var _reactNative = require("react-native");

const LINKING_ERROR = `The package 'react-native-image-generator' doesn't seem to be linked. Make sure: \n\n` + _reactNative.Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo managed workflow\n';
const ImageGenerator = _reactNative.NativeModules.ImageGenerator ? _reactNative.NativeModules.ImageGenerator : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }

});

async function generate(layers, config) {
  return await ImageGenerator.generate({
    layers
  }, config);
}
//# sourceMappingURL=index.js.map